html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}
body {
  line-height: 1;
  font-family: main;
  background: #E5E7E9;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
a{
  color: black;
  text-decoration: none;
}
@font-face {
  src: url("../fonts/iranyekan.woff");
  font-family : "main";
}
.white-hover{
  position: absolute;
  width: 20%;
  height: 250%;
  background: rgba(255,255,255,0.8);
  bottom: -75%;
  transform: rotateZ(45deg);
  right: -95%;
  transition: 0.4s all ease-in-out;
}
.main-page-greeting{
  text-align: center;
  margin-top: 20%;
  h3{
    font-weight: 600;
    font-size: 20px;
  }
}
.nav-links-container{
  width: 100%;
  margin-top: 2.5%;
  text-align: center;
  .nav-links{
    width: 40%;
    display: inline-block;
    .register{
      width: 40%;
      float: right;
      .register-image{
        position: relative;
        overflow: hidden;
        img{
          width: 100%;
        }
      }
      .register-text{
        text-align: center;
        margin-top: 5%;
      }
    }
    .login{
      width: 40%;
      float: left;
      .login-image{
        position: relative;
        overflow: hidden;
        img{
          width: 100%;
        }
      }
      .login-text{
        text-align: center;
        margin-top: 5%;
      }
    }
  }
}
.register-form{
  width: 35%;
  padding: 2%;
  box-sizing: border-box;
  margin: 2% auto;
  background: white;
  border-radius: 5px;
  .register-form-header{
    text-align: center;
    font-weight: 600;
    &::after{
      content: '';
      width: 100%;
      height: 1px;
      background: rgba(0,0,0,0.5);
      display: block;
      margin-top: 2%;
    }
  }
  .form-fields{
    label{
      display: inline-block;
      width: 100%;
      padding: 4% 0;
    }
    input{
      width: 90%;
      float: right;
      border: 1px solid #A6ACAF;
      border-radius: 5px;
      padding: 2%;
      outline: none;
      font-family: main;
      font-weight: 600;
      &:focus{
        outline: none;
      }
    }
    button{
      width: 30%;
      display: inline-block;
      margin: 5% auto 5%;
      border: none;
      outline: none;
      background: #19A314;
      font-family: main;
      font-weight: 600;
      padding: 2%;
      border-radius: 5px;
      cursor: pointer;
    }
    .submit-btn-container{
      width: 100%;
      display: inline-block;
      text-align: center;
    }
  }
}
.login-form{
  width: 35%;
  padding: 2%;
  box-sizing: border-box;
  margin: 2% auto;
  background: white;
  border-radius: 5px;
  .login-form-header{
    text-align: center;
    font-weight: 600;
    &::after{
      content: '';
      width: 100%;
      height: 1px;
      background: rgba(0,0,0,0.5);
      display: block;
      margin-top: 2%;
    }
  }
  .login-fields{
    label{
      display: inline-block;
      width: 100%;
      padding: 4% 0;
    }
    input{
      width: 90%;
      float: right;
      border: 1px solid #A6ACAF;
      border-radius: 5px;
      padding: 2%;
      outline: none;
      font-family: main;
      font-weight: 600;
      &:focus{
        outline: none;
      }
    }
    button{
      width: 30%;
      display: inline-block;
      margin: 5% auto 5%;
      border: none;
      outline: none;
      background: #19A314;
      font-family: main;
      font-weight: 600;
      padding: 2%;
      border-radius: 5px;
      cursor: pointer;
    }
    .submit-btn-container{
      width: 100%;
      display: inline-block;
      text-align: center;
    }
  }
}
.user-panel-container{
  width: 40%;
  overflow: auto;
  background: white;
  margin: 5% auto;
  padding: 2%;
  box-sizing: border-box;
  border-radius: 5px;
  .user-panel-header{
    width: 100%;
    p{
      float: right;
    }
    a{
      font-weight: 600;
    }
  }
  .user-panel-body{
    margin-top: 5%;
    text-align: center;
    .phone-counts{
      &:after{
        content: '';
        display: block;
        width: 100%;
        height: 2px;
        margin-top: 3%;
        background: rgba(0,0,0,0.5);
      }
      span.strong{
        font-size: 19px;
        font-weight: 600;
      }
    }
    .add-phone{
      margin-top: 5%;
      &:after{
        content: '';
        display: block;
        width: 100%;
        height: 2px;
        background: rgba(0,0,0,0.5);
      }
      .add-phone-header{
        text-align: center;
        font-weight: 600;
      }
      .add-phone-body{
        label{
          display: inline-block;
          width: 100%;
          padding: 4% 0;
        }
        input{
          width: 90%;
          float: right;
          border: 1px solid #A6ACAF;
          border-radius: 5px;
          padding: 2%;
          outline: none;
          font-family: main;
          &:focus{
            outline: none;
          }
        }
        button{
          width: 30%;
          display: inline-block;
          margin: 5% auto 5%;
          border: none;
          outline: none;
          background: #19A314;
          font-family: main;
          font-weight: 600;
          padding: 2%;
          border-radius: 5px;
          cursor: pointer;
        }
      }
    }
    .phone-book{
      .phone-book-header{
        margin: 5%;
        font-weight: 600;
      }
      .phone-book-body{
        a{
          padding: 7%;
          background: red;
          font-weight: 600;
          color: white;
          border-radius: 5px;
          font-size: 13px;
        }
        table{
          margin: 0 auto;
        }
        td, th {
          border: 1px solid #dddddd;
          padding: 8px;
          text-align: center;
        }

        tr:nth-child(even) {
          background-color: #dddddd;
        }
      }
    }
  }
}
.admin-panel-container{
  width: 70%;
  height: 600px;
  margin: 5% auto 0;
  background: white;
  overflow: hidden;
  position: relative;
  flex-direction: row-reverse;
  .admin-panel-nav{
    width: 25%;
    height: 100%;
    background: #ECF0F1;
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    transition: right 0.5s ease-in-out;
    .admin-panel-nav-header{
      text-align: center;
      padding: 3%;
      font-weight: 600;
    }
    .admin-panel-nav-body{
      ul{
        width: 100%;
        li{
          width: 100%;
          display: block;
          text-align: right;
          padding: 3%;
          box-sizing: border-box;
          font-weight: 600;
          background-color: #ECF0F1;
        }
        li#dashboard{
          background: #283747 url("../material/dashboard.png") no-repeat left;
          background-size: auto 100%;
          background-position-x: 3%;
          a{
            color: white;
          }
        }
        li#admin-users{
          background:url("../material/admin-users.png") no-repeat left;
          background-size: auto 100%;
          background-position-x: 3%;
        }
        li#phone-numbers{
          background: #283747 url("../material/phone-number.png") no-repeat left;
          background-size: auto 100%;
          background-position-x: 3%;
          a{
            color: white;
          }
        }
      }
    }
    .menu-toggler{
      position: absolute;
      bottom: 0;
      width: 100%;
      text-align: right;
      padding: 3%;
      box-sizing: border-box;
      font-weight: 600;
      background: #283747 url("../material/responsive.png") no-repeat;
      background-size: auto 100%;
      background-position-x: 3%;
      color: white;
      cursor: pointer;
    }
  }
  .admin-panel-body{
    width: 75%;
    height: 100%;
    float: left;
    padding: 5%;
    box-sizing: border-box;
    transition: width 0.5s ease-in-out;
    text-align :center ;
    .dashboard{
      p.count{
        font-weight: 600;
        font-size: 19px;
        margin: 10% 0;
        span.red{
          color: red;
        }
      }
    }
    .users{
      .users-header{
        font-weight: 600;
        font-size: 19px;
        margin-top: 4%;
      }
      .users-body{
        direction: rtl;
        text-align: center;
        table{
          display:table;
          width: 100%;
          min-width: 50%;
          margin-top: 3%;
          padding: 1%;
          box-sizing: border-box;
          th,td{
            padding: 1%;
            border: 1px solid rgba(0,0,0,0.5);
            a{
              padding: 1%;
              font-weight: 600;
              color: white;
              border-radius: 5px;
              background: red;
            }
          }
        }
      }
    }
  }
}
.return-to-main{
    display: block;
    margin: 5% auto;
    font-weight: 600;
    text-align: center;
}
@media(max-width: 850px){
  .main-page-greeting{
    width: 80%;
    margin: 20% auto 5%;
    h3{
      font-size: 14px;
    }
  }
.nav-links-container{
  .nav-links{
      width: 80%;
      display: flex;
      margin: auto;
      justify-content: space-between;
      .register{
      float: none;
      flex-basis: 45%;
      margin-bottom: 10%;
    }
    .login{
        float: none;
        flex-basis: 45%;
        margin-bottom: 10%;
    }
  }
}
  .login-form{
    width: 100%;
  }
  .register-form{
    width: 100%;
  }
  .admin-panel-container{
    width: 100%;
    .admin-panel-body{
      width: 100%;
    }
    .admin-panel-nav{
    }
  }
}
